Composer 之全局安装与使用

Posted ·592 Views·1288 Words

一直以来,php的包管理都总是遭人诟病(pear),直到Composer的出现,才让php有了像NodeJS的npm般的使用体验。

 

Composer是什么

Composer 是 PHP 用来管理依赖(dependency)关系的工具。你可以在自己的项目中声明所依赖的外部工具库(libraries),Composer 会帮你安装这些依赖的库文件。

说白了,它其实就是一个工具,可以帮助我们管理依赖关系。我们只需要遵循某种格式声明项目依赖哪些库、版本等(创建一个 composer.json 文件),Composer就可以找出哪个版本的包需要安装,并安装它们。

更多详细介绍,可以参考:http://www.phpcomposer.com/what-is-composer/

 

Composer安装

Composer有 局部安装全局安装 两种方式。局部安装就是将安装到项目工作目录中,用户使用 php composer.phar 之类的命令进行操作。我这里采用全局安装的方式,方便以后构建其他项目时使用。

p.s. 需要注意的是,Composer需要PHP 5.3.2+才能运行。php版本低于 5.3.2 的童鞋赶紧升级吧,话说现在 PHP 7.0.0 RC 1都出来了,还用 php 5.3 以下版本的童鞋是否太原始了一点,博主现在都用 php 5.6.10 了。

博主是在CentOS下安装Composer,安装过程如下(方法一):

curl -sS https://getcomposer.org/installer | php

注意: 如果上述方法由于某些原因失败了,你还可以通过 php 下载安装器(方法二):

php -r "readfile('https://getcomposer.org/installer');" | php

然后把composer.phar移动到系统的 PATH 目录中,就可以全局访问了。

sudo mv composer.phar /usr/local/bin/composer

这样全局安装就完成了

在命令行输入 composer 查看安装情况:

composer

就可以得到Composer的选项和可用命令列表了:

 

Composer使用

声明依赖

在项目目录下创建一个composer.json文件,指明依赖,比如:

{
    "require": {
        "monolog/monolog": "1.16.*"
    }
}

安装依赖

安装依赖非常简单,只需在项目目录下运行:

composer install

镜像修改

因为使用 Composer 安装 package 的时候需要先到 Packagist.org 上去获取包的元数据,然后到 Github.com 或其他第三方服务器上面获取 zip 包,而这两个站有时候会被 GFW 墙掉,即使没被墙,这两个网站的服务器都是国外,速度也与国内大相径庭。

所幸有业界大神早就建好了中国镜像,我们就只需要使用国内的镜像就好了,修改 composer 的全局配置文件:

composer config -g repositories.packagist composer http://packagist.phpcomposer.com

 

原文来自:SegmentFault

Comments

Leave a comment to join the discussion